#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xf86-video-amdgpu
Version		:	23.0.0
Release		:	16.2.0.rel%{?dist}
Summary		: 	AMD Radeon video driver for the Xorg X server
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/freedesktop/xorg-xf86-video-amdgpu

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-server
#-----------------------------------------------------------------------------
%description
The Xorg AMDGPU Driver package contains the X.Org Video Driver for
newer AMD Radeon video cards starting from Volcanic Islands.
It can also be used for Southern and Sea Islands if the experimental
support was enabled in the kernel. 

#-----------------------------------------------------------------------------
%prep
%setup -q 
#to resolv GCC-10 problem
#sed -i							\
#  -e "s/^miPointerSprite/extern miPointerSprite/"	\
#  src/drmmode_display.h

#-----------------------------------------------------------------------------
#building application
%build

#./autogen.sh
./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_libdir}/xorg/modules/drivers/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/*.4.gz

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
